# $Revision: 1.30 $, $Date: 2007/03/06 13:45:10 $
Summary:	Glide runtime for 3Dfx Voodoo Graphics boards
Summary(pl.UTF-8):	Środowisko Glide dla kart 3Dfx Voodoo Graphics
Name:		Glide_VG
Version:	2.46
Release:	10
License:	3DFX GLIDE Source Code General Public License
Vendor:		3Dfx Interactive Inc.
Group:		Libraries
Source0:	Glide%{version}.tar.gz
# Source0-md5:	be7762636b46cb04b238a16f45cfcfa8
Patch0:		%{name}-asm.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-morearchs.patch
Patch3:		%{name}-ioctl.patch
Patch4:		%{name}-soname.patch
Patch5:		%{name}-C_brainos.patch
URL:		http://www.3dfx.com/
%ifarch %{ix86}
BuildRequires:	/usr/bin/gasp
%endif
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows the user to use a 3Dfx Interactive Voodoo Graphics
card under Linux.

%description -l pl.UTF-8
Ten pakiet pozwala na używanie kart 3Dfx Interactive Voodoo Graphics
pod Linuksem.

%package -n Glide2x_SDK
Summary:	Development libraries for Glide 2.x
Summary(pl.UTF-8):	Część Glide 2.x przeznaczona dla programistów
Version:	2.1
Group:		Development/Libraries

%description -n Glide2x_SDK
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo Graphics, Voodoo Rush, or Voodoo2 card.

%description -n Glide2x_SDK -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe, dokumentację i pliki testowe
potrzebne do tworzenia aplikacji używających kart 3Dfx Interactive
Voodoo Graphics, Voodoo Rush lub Voodoo2.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
chmod +x swlibs/include/make/ostype

%build
%{__make} -j1 -f makefile.unix \
	CNODEBUG="%{rpmcflags} -fPIC %{!?debug:-fomit-frame-pointer} \
	%{!?debug:-funroll-loops -fexpensive-optimizations -ffast-math} -I/usr/X11R6/include" \
%ifnarch %{ix86}
	FX_GLIDE_CTRISETUP=1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_includedir}/glide} \
	$RPM_BUILD_ROOT%{_examplesdir}/glide/{tests,texus/{lib,cmd,examples}}

# Install the glibc 2.1 libraries normally
install sst1/lib/libglide2x.so $RPM_BUILD_ROOT%{_libdir}/libglide2x_VG.so
install swlibs/lib/libtexus.so $RPM_BUILD_ROOT%{_libdir}
ln -sf libglide2x_VG.so $RPM_BUILD_ROOT%{_libdir}/libglide2x.so

# Install the executables
install swlibs/bin/texus $RPM_BUILD_ROOT%{_bindir}
install sst1/glide/tests/test00 $RPM_BUILD_ROOT%{_bindir}/test3Dfx

# Install the headers
install swlibs/include/3dfx.h $RPM_BUILD_ROOT%{_includedir}/glide
install sst1/include/glide.h $RPM_BUILD_ROOT%{_includedir}/glide
install sst1/include/glidesys.h $RPM_BUILD_ROOT%{_includedir}/glide
install sst1/include/glideutl.h $RPM_BUILD_ROOT%{_includedir}/glide
install sst1/include/sst1vid.h $RPM_BUILD_ROOT%{_includedir}/glide
install sst1/include/gump.h $RPM_BUILD_ROOT%{_includedir}/glide
install swlibs/include/linutil.h $RPM_BUILD_ROOT%{_includedir}/glide
install swlibs/include/texus.h $RPM_BUILD_ROOT%{_includedir}/glide

# Install the examples and their source
install sst1/glide/tests/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/glide/tests/makefile
install sst1/glide/tests/*.3df $RPM_BUILD_ROOT%{_examplesdir}/glide/tests
install sst1/glide/tests/test??.c $RPM_BUILD_ROOT%{_examplesdir}/glide/tests
install sst1/glide/tests/tldata.inc $RPM_BUILD_ROOT%{_examplesdir}/glide/tests
install sst1/glide/tests/tlib.[ch] $RPM_BUILD_ROOT%{_examplesdir}/glide/tests
gzip -9nf $RPM_BUILD_ROOT%{_examplesdir}/glide/tests/*.3df

# Install the texture tools source
install swlibs/texus/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/makefile
install swlibs/texus/lib/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/lib/makefile
install swlibs/texus/cmd/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/cmd/makefile
install swlibs/texus/examples/makefile.distrib $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/examples/makefile
install swlibs/texus/lib/*.c $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/lib
install swlibs/texus/lib/texusint.h $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/lib
install swlibs/texus/cmd/*.c $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/cmd
install swlibs/texus/examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/glide/texus/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc glide_license.txt
%attr(755,root,root) %{_bindir}/texus
%attr(755,root,root) %{_bindir}/test3Dfx
%attr(755,root,root) %{_libdir}/libglide2x.so
%attr(755,root,root) %{_libdir}/libglide2x_VG.so
%attr(755,root,root) %{_libdir}/libtexus.so

%files -n Glide2x_SDK
%defattr(644,root,root,755)
%doc docs/*.pdf
%{_examplesdir}/glide
%{_includedir}/glide

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Glide_VG.spec,v $
Revision 1.30  2007/03/06 13:45:10  spider
- rel++
- STBR

Revision 1.29  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.28  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.27  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.26  2005/04/18 23:33:55  mmazur
- rel 9; builds with gcc4

Revision 1.25  2004/09/25 07:30:24  tommat
- no parallel build

Revision 1.24  2004/04/24 15:35:18  qboosh
- added soname patch (fixes deps generated in base)
- compress *.3df files in tests
- release 8

Revision 1.23  2004/01/18 10:54:18  qboosh
- added ioctl patch

Revision 1.22  2004/01/18 10:31:59  qboosh
- added morearchs patch, use -fPIC, define FX_GLIDE_CTRISETUP outside x86; release 7

Revision 1.21  2003/07/17 14:06:42  qboosh
- fixed asm patch, added opt patch; release 6

Revision 1.20  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.19  2003/06/10 11:46:26  ankry
- added md5

Revision 1.18  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/02 15:55:21  qboosh
- gasp only on x86

Revision 1.16  2003/01/30 15:42:24  qboosh
- BR: gasp (not built in current binutils)

Revision 1.15  2002/05/25 20:15:33  kloczek
- use new %doc infrastructure.

Revision 1.14  2002/02/27 07:16:57  kloczek
- cosmetics.

Revision 1.13  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/18 08:27:02  marcus
- rel.5.

Revision 1.11  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/29 15:24:25  qboosh
- adapterized, pl descriptions, fixed summary (Voodoo Graphics, not Voodoo3)

Revision 1.9  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2000/12/14 16:43:53  baggins
- added usr/X11R6/include to CFLAGS

Revision 1.7  2000/10/09 16:16:43  wiget
BuildRequires: XFree86-devel

Revision 1.6  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/23 12:58:20  baggins
- cleanup
- specs adapterized
- ready to go

* Tue Nov 30 1999 Joseph Kain <joseph@3dfx.com>
- Built against initial source release
